Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: SVG in Firefox  (gelezen 1475 keer)

Offline quick30

  • Lid
  • Steunpunt: Nee
SVG in Firefox
« Gepost op: 2008/11/10, 23:41:16 »
Ik ben aan het proberen om geanimeerde svg plaatjes te bekijken in FireFox (FF). Dat lukt me niet (altijd). Sommige plaatjes doen het niet.

Ik verwacht eigenlijk dat het voorbeeld van 'example anim01' het wel doet in Firefox 3.03(http://www.w3.org/TR/SVG/animate.html#Animation.classExample). Als je op de pagina wat naar beneden scrollt zie je wat plaatjes van wat je zou moeten zien. Helaas blijkbaar bij mij niet.

Bij about:config gekeken met de filter optie 'svg' en daar staat dat FF 'svg enabled is'.

Heeft iemand een idee? Een plugin of zo. Ik heb al gezocht in 'Systeem > Beheer > Synaptic Pakketbeheer' maar geen Adobe plugin gevonden.

Wat ik uiteindelijk wil is wat leuke animatie maken met eenvoudige svg-plaatjes die ik maak in inkscape.

Offline joop905

  • Lid
  • Steunpunt: Nee
SVG in Firefox
« Reactie #1 Gepost op: 2008/11/10, 23:51:27 »
kijk eens bij Extra==>Add-ons

GrJ.

Offline quick30

  • Lid
  • Steunpunt: Nee
SVG in Firefox
« Reactie #2 Gepost op: 2008/11/11, 07:10:38 »
Daar heb ik zoeven gekeken. Met 'SVG' heb ik het volgende gevonden:
- CuteMenus;
- CrystalFox Modern;
- Graphing Calculator Toolbar

Allen gaan ze er zonder meer vanuit dat SVG werkt in FireFox. Daarnaast heb ik rechtsbovenin de add-ons window op de get ubuntu plugins knop gedrukt. Daar ook allemaal doorgelezen. Helaas geen SVG o.i.d.

Kan het iets zijn dat ik moet installeren?

Het enigste wat ik ben tegengekomen is een 'Adobe plugin'. Iemand een idee of dat nu goed is of niet want ik lees tegenstrijdige berichten.

Offline quick30

  • Lid
  • Steunpunt: Nee
SVG in Firefox
« Reactie #3 Gepost op: 2008/11/11, 09:34:55 »
Ik ben verder gaan zoeken en vond dit:
http://packages.ubuntu.com/nl/hardy-backports/libqt4-svg
Het is een bibliotheek (library) om svg zaken weer te geven. Ik denk dat is misschien wel wat ik zoek. Nu heb ik op het moment ubuntu Hardy 8.10 erop staan (2.6.24-21-generic).

Ik heb als software bron 'universe' nodig; geen probleem (Door de gemeente onderhouden software pakketten [UNIVERSE] staat aangevinkt). In de grote kop vind ik dat terug. Daarvoor staat tussen haakjes '4.4.0-1ubuntu5~hardy1'. Wat houdt dat in? Past dit bij mijn installatie of niet?

Ja ik heb al simpelweg gezocht op het pakketje met Synaptic pakketbeheer maar nix nada njenthee.

Offline quick30

  • Lid
  • Steunpunt: Nee
SVG in Firefox
« Reactie #4 Gepost op: 2008/11/11, 10:12:42 »
Ik kijk nog eens naar de pagina zoals ik aangaf in de post van mij hiervoor.

Rechtsbovenin staat 'hardy-backports'. Als ik me niet vergis betekent dat dit niet STANDAARD wordt ondersteund voor Hardy.

Er is wat dat betreft hoop. In de 'intrepid' versie wordt dit wel standaard ondersteund. Oh en voor ik het vergeet Ik heb niet versie 8.10 maar 8.04 erop staan. Ik zal dit nog aanpassen in m'n vorige posts.

Het is nog niet 'opgelost'. Nu is dus de vraag. Hoe kan ik de 'hardy-backports' gebruiken. Ik ga proberen:
1. de softwarebron 'hardy-backports' toe te voegen;
2. libqt4-svg toe te voegen met alles wat er voor nodig is;
3. de softwarebron 'hardy-backports' verwijderen.

Lijkt me een goed plan.

Eerst ga ik het volgende even doornemen:
https://help.ubuntu.com/community/UbuntuBackports ;)

Offline AutoStatic

  • Lid
    • autostatic
    • linux.autostatic.com - Audio Productie & Linux
  • Steunpunt: Nee
SVG in Firefox
« Reactie #5 Gepost op: 2008/11/11, 10:14:42 »
Als native SVG niet werkt houdt het op denk ik. Je zou het volgende nog kunnen proberen: http://plugindoc.mozdev.org/linux.html#SVG

Offline quick30

  • Lid
  • Steunpunt: Nee
SVG in Firefox
« Reactie #6 Gepost op: 2008/11/11, 10:50:22 »
Na wat lezen begint het werk onder het kopje 'How to use'.
Ik check of de 'updates' en 'security' bronnen aan staan. Jawel hoor onder het tabje 'updates' in 'Synaptic softwarebronnen'.
Onder de tab 'ubuntu software' staan de 'Main, Restricted, Universe, and Multiverse' ook aan. Dat gaat lekker.
Er wordt nog niet direct gezegd de 'backports' aan te zetten... Zeker nog even wachten?
Het gaat mij om 1 pakket dus lijkt het goed te gaan met het direct op het 'how to use' te volgen 'Installing a single package'.

Nou ik download het bronpakket nadat ik gecontroleerd heb dat ik de goede versie heb (hardy-backport) naar m'n Desktop (zoals als voorbeeld aangegeven). Gaat automatisch ;). Ik heb onder 'Europa' de 'nl.archive.ubuntu.com/ubuntu' link gekozen. Er staat met rood omrand een tekst op dat het beter is om de softwarebron toe te voegen aan de softwarebronnen lijst. Dat doe ik niet. Ik wil slechts 1 pakket en staat niet in de handleiding.

Nou het pakket heeft niet alle stukjes software die ik nodig heb. Daarom moet ik nog downloaden:
libqtcore4
libqtgui4

Dan uitpakken met GDebi (als dat maar goed gaat). M'n  systeem stelt het voor als ik erop 'rechtsklik'...

Lijkt geinstalleerd te zijn. Nou vingers kruisen en testen maar. Dat doe ik bij de link genoemd in de eerste post. Nee geen verbetering. Misschien opnieuw opstarten? [wordt vervolgd]

Offline quick30

  • Lid
  • Steunpunt: Nee
SVG in Firefox
« Reactie #7 Gepost op: 2008/11/11, 10:51:51 »
Citaat van: AutoStatic
Als native SVG niet werkt houdt het op denk ik. Je zou het volgende nog kunnen proberen: http://plugindoc.mozdev.org/linux.html#SVG
Ik zal dat zo testen na het opnieuw opstarten en testen van m'n eigen actie.

Offline quick30

  • Lid
  • Steunpunt: Nee
SVG in Firefox
« Reactie #8 Gepost op: 2008/11/11, 11:07:57 »
Ik heb opnieuw opgestart. Geen succes.

Ik heb de adobe svg viewer geinstalleerd maar helaas ook geen verbetering. AutoStatic; bedankt voor de tip des al niet te min.

Offline quick30

  • Lid
  • Steunpunt: Nee
SVG in Firefox
« Reactie #9 Gepost op: 2008/11/11, 11:10:37 »
herstart van Firefox werkt ook niet :(

Ik hou het er voorlopig maar op dat ik moet 'upgraden' naar 8.10.

Offline MataS

  • Lid
  • Steunpunt: Nee
SVG in Firefox
« Reactie #10 Gepost op: 2008/11/11, 11:22:58 »
Hallo,
Als ik me niet vergis, is de svg-implementatie van firefox niet compleet.
De meeste svg dingen kan firefox wel weergeven, maar alleen opera kan volgens mij geanimeerde svg weergeven, firefox en andere browsers geloof ik niet.
Dit vond ik erover op wikipedia (engesls): http://en.wikipedia.org/wiki/Comparison_of_layout_engines_(SVG)#SVG_1.1_support

Offline quick30

  • Lid
  • Steunpunt: Nee
SVG in Firefox
« Reactie #11 Gepost op: 2008/11/11, 14:55:08 »
Ik heb zoeven opera 9.62 geinstalleerd. Dat werkt wel als het gaat om svg... Voorlopig voor mij Opera ipv Firefox. Bij 8.10 zal ik weer eens proberen of Firefox ook alle svg kan tonen.

Offline Typhoner

  • Lid
    • http://typhoner.blogspot.com/
  • Steunpunt: Nee
SVG in Firefox
« Reactie #12 Gepost op: 2008/11/11, 19:16:39 »
libqt4-svg werkt alleen maar met programma's die gemaakt zijn met qt4:
http://en.wikipedia.org/wiki/Qt_toolkit

Offline quick30

  • Lid
  • Steunpunt: Nee
Re: SVG in Firefox
« Reactie #13 Gepost op: 2008/11/13, 20:39:44 »
libqt4-svg werkt alleen maar met programma's die gemaakt zijn met qt4:
http://en.wikipedia.org/wiki/Qt_toolkit
Bedankt Kristof; Nu weet ik zeker dat ik moet upgraden naar qt4.
http://my.opera.com/Cyro/blog/2008/09/11/qt4 Opera 9.62 (mijn huidige versie) zal dat ook wel gebruiken.